Commit 2b8d0dfe authored by Guido Günther's avatar Guido Günther

Introduce meta packages

This helps us declutter the image bootstrap and makes it more obvious
why we have what in the image.

Rename the themes package while at that.

Closes: #1
parent 0ff07288
librem5-base (1) UNRELEASED; urgency=medium
* Add meta packages
-- Guido Günther <agx@sigxcpu.org> Thu, 13 Sep 2018 12:44:26 +0200
librem5-themes (0) unstable; urgency=medium
* Initial release
......
Source: librem5-themes
Section: x11
Source: librem5-base
Section: metapackages
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
......@@ -7,12 +7,69 @@ Build-Depends:
Standards-Version: 4.1.4
Homepage: https://code.puri.sm/guido.gunther/phosh
Package: librem5-theme-default
Package: librem5-base
Architecture: all
Depends:
${misc:Depends},
${shlibs:Depends},
ca-certificates,
cloud-initramfs-growroot,
dosfstools,
flatpak,
libgl1-mesa-dri,
libmbim-utils,
libnss-systemd,
libpam-systemd,
libqmi-utils,
locales,
lvm2,
modemmanager,
usb-modeswitch,
usbutils,
librem5-base-defaults (>= ${source:Version}),
Description: Meta package for the Librem5
This package contains base dependencies for the librem5
.
It should be installed on every librem5.
Package: librem5-gnome
Architecture: all
Depends:
${misc:Depends},
${shlibs:Depends},
libwlroots-examples,
phosh,
calls,
epiphany-browser,
evince,
gnome-calendar,
gnome-chess,
gnome-contacts,
gnome-control-center,
gnome-maps,
gnome-online-accounts,
gnome-session,
gnome-settings-daemon,
gnome-terminal,
gnome-tweaks,
network-manager-gnome,
xdg-desktop-portal-gtk,
librem5-base,
Description: GNOME meta package for the Librem5
This package contains the GNOME apps for the Librem5
.
It should be installed on every librem5.
Package: librem5-base-defaults
Architecture: all
Section: x11
Depends:
${misc:Depends},
${shlibs:Depends},
gnome-themes-extra-data,
Breaks: librem5-theme-default (<= 1),
Replaces: librem5-theme-default (<= 1),
Provides: librem5-theme-default,
Description: Default themes and configuration for the Librem-5
This package contains configuration and themes for the librem5.
It ships:
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment